Subject: 3 star applicant - Naukri.com -Native Spanish Expert - International BPO, Team Leader, WNS Global Services, 9 years 0 months, Bengaluru / Bangalore, 7.50
From: Mohammed Shahith <[email-masked]>
To: [email-masked]
Date: Thu, 14 Mar 2019 17:25:03 +0530

Not able to view Details? Learn More

Job Title
Native Spanish Expert - International BPO

19 Applicants

View All

Receiving applies matching 3 star(s) and above Modify Filters

Mohammed Shahith

(3/5)

? Every achiever has stories to tellstories that will not only engage, inform, surprise, delight, and impact their audience, but that will also deliver on measurable business goals. And I am the conduit between achiever and consumer. I help clients find the subject and medium that best fits their unique identity, and then I produce high-quality content that meets their objectives. Currently, I am a Team Leader where Ive collaborated with company such as Inchcape Shipping Services (ISS).
View Attached CV

Key Skills ap,spanish,and reconciliation,vendor management,assistant manager,p2p,time and expense,travel and expense,customer service,customer support,b2visa,vendor payments,invoice processing,operations management,team management,customer service management

Exp
9 years 0 months

CTC
7.50

Location
Bengaluru / Bangalore

Not Able to View Details? Learn More

Shortlist

Reject

Current Designation Team Leader
Current Company WNS Global Services
Notice Period 15 Days or less
Previous Designation Team Leader

Contact Details
Mobile: 9025351943
Landline: Not Specified

Prefers Bengaluru / Bangalore, Coimbatore, Chennai
Education
MBA/PGDM
Bharathidasan University, Trichy
B.B.A/ B.M.S
Bharathidasan University, Trichy

Do you find this applicant relevant ? | YES | NO

Screen candidates easily using Questionnaire
Candidate while applying will answer the questions added in Questionnaire
Attach Questionnaire

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem